## WebKitDOMMediaQueryList

WebKitDOMMediaQueryList

## Functions

gchar * | webkit_dom_media_query_list_get_media ()
gboolean | webkit_dom_media_query_list_get_matches ()

## Properties

gboolean | matches | Read
gchar * | media | Read

## Types and Values

| WebKitDOMMediaQueryList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMMediaQueryList

## Description

## Functions

### webkit_dom_media_query_list_get_media ()

    gchar *
    webkit_dom_media_query_list_get_media (WebKitDOMMediaQueryList *self);

#### Parameters

self | A WebKitDOMMediaQueryList |

#### Returns

A gchar

### webkit_dom_media_query_list_get_matches ()

    gboolean
    webkit_dom_media_query_list_get_matches
                                   (WebKitDOMMediaQueryList *self);

#### Parameters

self | A WebKitDOMMediaQueryList |

#### Returns

A gboolean

## Types and Values

### WebKitDOMMediaQueryList

    typedef struct _WebKitDOMMediaQueryList WebKitDOMMediaQueryList;

## Property Details

### The `“matches”` property

      “matches”                  gboolean

read-only gboolean MediaQueryList:matches.

Flags: Read

Default value: FALSE

### The `“media”` property

      “media”                    gchar *

read-only gchar* MediaQueryList:media.

Flags: Read

Default value: ""